VoiceServiceRequestOptions
(
newRequestId
, newParams
)
|
Setup with a specific guid
Signature
Meta.WitAi.Requests.VoiceServiceRequestOptions.VoiceServiceRequestOptions(string newRequestId, params QueryParam[] newParams) Parameters newRequestId: stringnewParams: params QueryParam [] |
VoiceServiceRequestOptions
(
newParams
)
|
Setup with a randomly generated guid
Signature
Meta.WitAi.Requests.VoiceServiceRequestOptions.VoiceServiceRequestOptions(params QueryParam[] newParams) Parameters newParams: params QueryParam [] |
AudioThreshold
: float
[Get][Set] |
The threshold to be used for an audio request
Signature
float Meta.WitAi.Requests.VoiceServiceRequestOptions.AudioThreshold |
InputType
: NLPRequestInputType
[Get][Set] |
The input type to be used for VoiceServiceRequests
Signature
NLPRequestInputType Meta.WitAi.Requests.VoiceServiceRequestOptions.InputType |
QueryParams
: Dictionary< string, string >
[Get] |
Additional request query parameters to be sent with the request
Signature
Dictionary<string, string> Meta.WitAi.Requests.VoiceServiceRequestOptions.QueryParams |
RequestId
: string
[Get] |
Unique request id used for request tracking internally & externally
Signature
string Meta.WitAi.Requests.VoiceServiceRequestOptions.RequestId |
Text
: string
[Get][Set] |
The text to be submitted for a text request
Signature
string Meta.WitAi.Requests.VoiceServiceRequestOptions.Text |
ConvertQueryParams
(
newParams
)
|
Generates a dictionary of key/value strings from a query param array
Signature
static Dictionary<string, string> Meta.WitAi.Requests.VoiceServiceRequestOptions.ConvertQueryParams(QueryParam[] newParams) Parameters newParams: QueryParam []Returns Dictionary< string, string > |
key
: string |
Signature
string Meta.WitAi.Requests.VoiceServiceRequestOptions.QueryParam.key |
value
: string |
Signature
string Meta.WitAi.Requests.VoiceServiceRequestOptions.QueryParam.value |